% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i TiltLink
% ACCdef contiene le medie per l'intervallo definito delle accelerazioni
% ARRAYdate contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [ARRAYdate_RL,accRL,ACCdefRis_RL,TempDef_RL] = MediaDati_RL(accRL,...
    TimeRL,ris_acc_RL,NdatiMedia,T_RL,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'MediaDati_RL function started';
fprintf(fileID,fmt,text);

%% Accelerazione
[r,~]=size(accRL);
if NdatiMedia > r
    NdatiMedia = r;
end
accRL = smoothdata(accRL,'gaussian',NdatiMedia);

%% Matrice date
ARRAYdate_RL = TimeRL;

%% Risultante acc
ACCdefRis_RL = ris_acc_RL; % Non faccio la media, mi serve il dato come è per applicare i filtri

%% Temperatura
TempDef_RL = T_RL; % Non faccio la media, mi serve il dato come è per applicare i filtri

text = 'Average values for Radial Link have been processed. MediaDati_RL function closed';
fprintf(fileID,fmt,text);
fclose(fileID);
end